Skip to main content
DELETE
https://api-zangtable.com
/
projects
/
{project}
/
records
/
{table}
/
{id}
DELETE /projects/{project}/records/{table}/{id}
curl --request DELETE \
  --url https://api-zangtable.com/projects/{project}/records/{table}/{id} \
  --header 'Authorization: <authorization>'
{
  "ok": true,
  "data": {},
  "error": {},
  "request_id": "<string>"
}
Deletes one row by primary key.

Endpoint details

Authorization
string
required
Bearer pat_... (Project API Token). Keep this token on your backend/server.
project
string
required
Project slug. This acts as the Project ID in API paths.
table
string
required
Table name inside the project.
id
string
required
Resource id from the matching list or create response.
ok
boolean
required
true for a successful response and false for an error response.
data
object | null
Endpoint-specific response data when ok is true; null on errors.
error
object | null
Error code and message when ok is false; null on success.
request_id
string
required
Request identifier you can use when troubleshooting a specific API call.

Authentication

Project API Token.

Parameters

Path: table required; id required primary-key value.

Request examples

Basic request:
curl -X DELETE "$BASE_URL/projects/{project}/records/{table}/{id}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN'
Full request:
curl -X DELETE "$BASE_URL/projects/{project}/records/{table}/{id}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001'

Response examples

Success:
{
  "ok": true,
  "data": {
    "deleted": true,
    "table": "contacts",
    "id": "1"
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
Error or alternate response:
{
  "ok": false,
  "data": null,
  "error": {
    "code": "record_not_found",
    "message": "Record not found."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}